class BaseRevision {

    _getNormalizedTemplates() {
        throw new Error('Should be implemented');
    }
    getCommitMessage() {
        return this._getNormalizedTemplates()
            .then(tpl => tpl.find(name => 'templates/NOTES.txt'))
            .then((content) => {
                if (!content) {
                    return '';
                }
                const match = (content.data || '').match(/commit_message:(.*)/);
                if (!match) {
                    return '';
                }
                const [full, commitMessage] = match;
                return commitMessage || '';
            })
            .catch(() => '');
    }
}


module.exports = BaseRevision;
