const Release = require('./release');
const Revision = require('./revision');

const BasePool = require('../base/pool');


class ReleasePool extends BasePool {

    constructor({ secrets }) {
        super({ Revision, Release }, { sources: secrets });
    }

    _getReleases(sources) {
        return sources.map(source => source.getLabels().name);
    }
}

module.exports = ReleasePool;
