'use strict';

const _           = require('lodash');
const BaseBuilder = require('./../builder.base');

class CmBuilder extends BaseBuilder {

    constructor(descriptor, opt) {
        const template = {
            apiVersion: 'v1',
            kind: 'ConfigMap',
            metadata: {
                name: descriptor.name
            }
        };
        super(descriptor, template, opt);
    }

    _startBuild() {
        this._buildConfigData()
    }

    _buildConfigData(){
        this.updateTemplate('data', this._getConfigs());
        return this;
    }

    _getConfigs(){
        const descriptor = this.getDescriptor();
        return _.get(descriptor, 'data', {});
    }

}

module.exports = CmBuilder;
