'use strict';

const _          = require('lodash');
const BaseEntity = require('./../entity.base');

class ConfigMap extends BaseEntity {

    getName() {
        return _.get(this._getData(), 'metadata.name');
    }

    getStatus() {
        return _.get(this._getData(), 'status');
    }

    getNamespace() {
        return _.get(this._getData(), 'metadata.namespace');
    }

    countVariables() {
        return _.size(_.get(this._getData(), 'data'));
    }

    getCreationTimestamp() {
        return _.get(this._getData(),'metadata.creationTimestamp');
    }

    getBasicData() {
        return {
            name: this.getName(),
            status: this.getStatus(),
            namespace: this.getNamespace(),
            selector: this.getSelector(),
            veriablesCount: this.countVariables(),
            creation: this.getCreationTimestamp()
        }
    }


}

module.exports = ConfigMap;