'use strict';

const _           = require('lodash');
const BaseBuilder = require('./../../kube-native/builder.base');

class NamespaceBuilder extends BaseBuilder{

    constructor(descriptor) {
        const template   = {
            apiVersion: 'v1',
            king: 'Namespace',
            metadata: {
                name: descriptor.name
            }
        };
        super(descriptor, template);
    }

    _startBuild(){
        // nothing to build here
        return;
    }

    build() {
        return this._template;
    }

}

module.exports = NamespaceBuilder;