'use strict';

const _ = require('lodash');
const Promise = require('bluebird');
const ResourceController = require('./../resource.base.controller');
const { SquashedPod, SquashedPodPool } = require('./../../internal-components/SquashedPod');


class KubeSecretController extends ResourceController {

    constructor(data) {
        super(data);
    }


    group(labels) {
        return super.get(labels)
            .then(pods => this._groupPods(pods));
    }

    _groupPods(pods) {
        const pool = new SquashedPodPool();
        return Promise.map(pods, (pod) => {
            const candidate = new SquashedPod(pod);
            if (!pool.isExist(candidate)) {
                pool.add(candidate);
            } else {
                const sp = pool.getSquashedPodById(candidate._id);
                sp.addPod(pod);
            }
        })
            .then(() => pool.pool);
    }
}

module.exports = KubeSecretController;