'use strict';

const _          = require('lodash');
const BaseEntity = require('./../entity.base');

class ReplicaSet extends BaseEntity {

    getName() {
        return _.get(this._getData(), 'metadata.name');
    }

    getReplicas(){
        return _.get(this._getData(), 'status.replicas', 0);
    }

    getNamespace() {
        return _.get(this._getData(), 'metadata.namespace');
    }

    getBasicData() {
        return {
            name: this.getName(),
            status: this.getStatus(),
            namespace: this.getNamespace(),
            selector: this.getSelector(),
        }
    }

}

module.exports = ReplicaSet;